---
title: SSL/TLS Recommendation
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[SSL](https://developers.cloudflare.com/api/go/resources/ssl)

[Recommendations](https://developers.cloudflare.com/api/go/resources/ssl/subresources/recommendations)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# SSL/TLS Recommendation

Deprecated: SSL/TLS Recommender has been decommissioned in favor of Automatic SSL/TLS

client.SSL.Recommendations.Get(ctx, query) (\*[RecommendationGetResponse](<https://developers.cloudflare.com/api/go/resources/ssl#(resource)%20ssl.recommendations%20%3E%20(model)%20RecommendationGetResponse%20%3E%20(schema)>), error)

GET/zones/{zone\_id}/ssl/recommendation

Retrieve the SSL/TLS Recommender’s recommendation for a zone.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Zone Settings Write``Zone Settings Read``SSL and Certificates Write``SSL and Certificates Read`

##### ParametersExpand Collapse

<details>

<summary>

query RecommendationGetParams

</summary>

ZoneID param.Field\[string]

maxLength32

<a href="#(resource)%20ssl.recommendations%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20ssl.recommendations%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type RecommendationGetResponse struct{…}

</summary>

ID string

<a href="#(resource)%20ssl.recommendations%20%3E%20(model)%20RecommendationGetResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

Editable bool

Whether this setting can be updated or not.

<a href="#(resource)%20ssl.recommendations%20%3E%20(model)%20RecommendationGetResponse%20%3E%20(schema)%20%3E%20(property)%20editable">Link to this property</a>

ModifiedOn Time

Last time this setting was modified.

formatdate-time

<a href="#(resource)%20ssl.recommendations%20%3E%20(model)%20RecommendationGetResponse%20%3E%20(schema)%20%3E%20(property)%20modified_on">Link to this property</a>

<details>

<summary>

Value RecommendationGetResponseValue

Current setting of the automatic SSL/TLS.

</summary>

One of the following:

const RecommendationGetResponseValueAuto RecommendationGetResponseValue = "auto"

<a href="#(resource)%20ssl.recommendations%20%3E%20(model)%20RecommendationGetResponse%20%3E%20(schema)%20%3E%20(property)%20value%20%3E%20(member)%200">Link to this property</a>

const RecommendationGetResponseValueCustom RecommendationGetResponseValue = "custom"

<a href="#(resource)%20ssl.recommendations%20%3E%20(model)%20RecommendationGetResponse%20%3E%20(schema)%20%3E%20(property)%20value%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20ssl.recommendations%20%3E%20(model)%20RecommendationGetResponse%20%3E%20(schema)%20%3E%20(property)%20value">Link to this property</a>

NextScheduledScan TimeOptional

Next time this zone will be scanned by the Automatic SSL/TLS.

formatdate-time

<a href="#(resource)%20ssl.recommendations%20%3E%20(model)%20RecommendationGetResponse%20%3E%20(schema)%20%3E%20(property)%20next_scheduled_scan">Link to this property</a>

</details>

[Link to this property](<#(resource)%20ssl.recommendations%20%3E%20(model)%20RecommendationGetResponse%20%3E%20(schema)>)

### SSL/TLS Recommendation

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/ssl"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  recommendation, err := client.SSL.Recommendations.Get(context.TODO(), ssl.RecommendationGetParams{
    ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", recommendation.ID)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "ssl_automatic_mode",
    "editable": true,
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "value": "auto",
    "next_scheduled_scan": "2014-01-01T05:20:00.12345Z"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "ssl_automatic_mode",
    "editable": true,
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "value": "auto",
    "next_scheduled_scan": "2014-01-01T05:20:00.12345Z"
  },
  "success": true
}
```